## org.apache.poi.hwpf.model
Class StyleDescription

    java.lang.Object
      org.apache.poi.hwpf.model.StyleDescription

All Implemented Interfaces:
  HDFType

    @Internal
    public final class StyleDescription

extends java.lang.Object
implements HDFType

Comment me

Author:
  Ryan Ackley

Constructor Summary
`StyleDescription()`
`StyleDescription(byte[] std, int baseLength, int offset, boolean word9)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`int` `getBaseStyle()`
`CharacterProperties` `getCHP()` Deprecated.
`byte[]` `getCHPX()`
`java.lang.String` `getName()`
`ParagraphProperties` `getPAP()` Deprecated.
`byte[]` `getPAPX()`
`int` `hashCode()`
`byte[]` `toByteArray()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StyleDescription

    public StyleDescription()

### StyleDescription

    public StyleDescription(byte[] std,
                            int baseLength,
                            int offset,
                            boolean word9)

Method Detail

### getBaseStyle

    public int getBaseStyle()

### getCHPX

    public byte[] getCHPX()

### getPAPX

    public byte[] getPAPX()

### getPAP

    @Deprecated
    public ParagraphProperties getPAP()

  Deprecated.

### getCHP

    @Deprecated
    public CharacterProperties getCHP()

  Deprecated.

### getName

    public java.lang.String getName()

### toByteArray

    public byte[] toByteArray()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.